$lightTickTime = 15000;

function stopLightTick()
{
	//Functions to exec
	doLights();
	
	//Preserve the tick ONLY if the mod is enabled and the bricks are there!
	if($stoplight == 1)
	{
		if(_stopLights1.isObject && _slowLights1.isObject && _goLights1.isObject && _stopLights2.isObject && _slowLights2.isObject && _goLights2.isObject)
		{
			schedule($lightTickTime,0,"stopLightTick");
		}
		else
		{
			messageAll('',"\c6AUTO\c3 has turned traffic lights \c6OFF\c3!");
			$stopLight = 0;
		}
	}
}

function doLights()
{
	if($lightticker == 0)
	{
		$lightticker = 1;
		
		setBrickLight(_slowLights1, yellowLight);
		setBrickLight(_goLights1, none);
		schedule(2000,0, setBrickLight, _stopLights1, redLight);
		schedule(2000,0, setBrickLight, _slowLights1, none);
		schedule(2000,0, setBrickLight, _goLights2, greenLight);
		schedule(2000,0, setBrickLight, _stopLights2, none);
	}
	else
	{
		$lightticker = 0;
		
		setBrickLight(_slowLights2, yellowLight);
		setBrickLight(_goLights2, none);
		schedule(2000,0, setBrickLight, _stopLights2, redLight);
		schedule(2000,0, setBrickLight, _slowLights2, none);
		schedule(2000,0, setBrickLight, _goLights1, greenLight);
		schedule(2000,0, setBrickLight, _stopLights1, none);	
	}
}

//Because I'm too lazy to learn to use brick schedules
function setBrickLight(%brick, %light)
{
	%brick.setLight(%light);
}

function serverCmdToggleTrafficLights(%cl)
{
	if(%cl.isAdmin || %cl.isSuperAdmin)
	{	
		if($stopLight == 1)
		{
			messageAll('',"\c6"@%cl.name@"\c3 has turned traffic lights \c6OFF\c3!");
			$stopLight = 0;
		}
		else
		{
			if(_stopLights1.isObject && _slowLights1.isObject && _goLights1.isObject && _stopLights2.isObject && _slowLights2.isObject && _goLights2.isObject)
			{
				messageAll('',"\c6"@%cl.name@"\c3 has turned traffic lights \c6ON\c3!");	
				$stopLight = 1;
				stopLightTick();
			}
			else
			{
				messageClient(%cl,'',"\c3You need at least one of each required bricks!");
			}
		}
	}
}

function serverCmdSetLightInterval(%cl, %t)
{
	if(%cl.isAdmin || %cl.isSuperAdmin)
		%t = %t * 1000;
		$lightTickTime = %t;
}